# AMP tracking

For the following integration to work, you must add the [amp-analytics module](https://amp.dev/documentation/components/amp-analytics) on the page environment.

Here is an example of the AMP tag:

```markup
<amp-analytics type="mediarithmics">
  <script type="application/json">
    {
      "vars": {
        "site_token": <SITE_TOKEN>,
        "event_name": "amp-test-pageview"
      },
      "extraUrlParams": {
        "prop1": "value1",
        "prop2": "value2"
      }
    }
  </script>
</amp-analytics>
```

**Arguments**

| name                | type   | description                                                                                                                          |
| ------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------ |
| site\_token         | string | **site\_token** is the token of the website (**required**).                                                                          |
| event\_name         | string | **event\_name** is the [name of the event](/user-points/user-activities.md#user-events-object) (optional, default to '$page\_view'). |
| any custom property | string | All **custom properties** should be added to the extraUrlParams object (prop1, prop2 in the example).                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.mediarithmics.io/data-streams/data-ingestion/real-time-user-tracking/amp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
